Export findImportUsage and ImportDeclUsage
ClosedPublic

Authored by mpickering on Jul 3 2018, 4:20 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
mpickering created this revision.Jul 3 2018, 4:20 AM
alpmestan requested changes to this revision.Jul 4 2018, 10:23 AM
alpmestan added a subscriber: alpmestan.

Just one tiny request, to get rid of a warning we can easily avoid. Other than that, looks good to me.

compiler/rename/RnNames.hs
25

This line gives a warning in CI, because ImportDeclUsage is a type synonym.

This revision now requires changes to proceed.Jul 4 2018, 10:23 AM
mpickering updated this revision to Diff 17242.Jul 9 2018, 10:59 AM
  • Suggestion
alpmestan accepted this revision.Jul 9 2018, 12:43 PM
This revision is now accepted and ready to land.Jul 9 2018, 12:43 PM
This revision was automatically updated to reflect the committed changes.